/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using FairyGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// UI逻辑处理类
    /// </summary>
    /// <typeparam name=""></typeparam>
    public partial class BattleMapBattleMapTestCtrl : UIController<BattleMapBattleMapTestVM>
    {
        protected override void OnEnable(object intent)
        {
            VM.BattleList.ListType = EGListType.VirtualAndLoop;
            RefreshList();
            AddUIListenres();
        }
        protected override void OnDisable()
        {
            RemoveUIListenres();
        }
        #region UI事件
        private void AddUIListenres()
        {

        }
        private void RemoveUIListenres()
        {

        }

        #endregion
        private void RefreshList()
        {
            var datas = new MainListShopItemData[6];
            for (int i = 0; i < datas.Length; i++)
            {
                datas[i] = new MainListShopItemData()
                {
                    id = i * 1000,
                    name = "name" + i,
                };
            }
            VM.BattleList.BindDatas(datas);
        }
    }
}